terrain editor
12/29/2021 01:47 PM - Josip Almasi

Status: Closed Start date: 12/29/2021
Priority: Normal Due date:

Assignee: Josip Almasi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

like in minecraft - dig - plus another totally original feature: raise!

https://doc.babylonjs.com/extensions/dynamicTerrains#map-creation-from-a-height-map

History

#1 - 02/06/2022 06:55 PM - Nick Naglich

Josip Almasi wrote:

like in minecraft - dig - plus another totally original feature: raise!

Would this be a voxel like feature?

#2 - 02/07/2022 01:38 PM - Josip Almasi

Nah, just a way to deform a mesh. Likely to be implemented using babylon dynamic terrain extension,
https://doc.babylonjs.com/extensions/dynamicTerrains

So far we have only one application of it, randomized desert, used in aladin and persian city:
https://github.com/jalmasi/vrspace/blob/master/babylon/js/ui/terrain-desert.js

#3 - 09/20/2022 12:50 PM - Josip Almasi

- Description updated

#4 - 10/01/2022 08:01 PM - Josip Almasi
- Status changed from New to In Progress

- Assignee set to Josip Almasi

#5 - 01/25/2023 01:37 PM - Josip Almasi

Terrain class, terrain-editor-test.html: https://www.youtube.com/watch?v=Et40MrChYQ4

#6 - 01/25/2023 01:37 PM - Josip Almasi

- Status changed from In Progress to Closed

04/23/2024

1/1



https://doc.babylonjs.com/extensions/dynamicTerrains#map-creation-from-a-height-map
https://doc.babylonjs.com/extensions/dynamicTerrains
https://github.com/jalmasi/vrspace/blob/master/babylon/js/ui/terrain-desert.js
https://www.youtube.com/watch?v=Et40MrChYQ4
http://www.tcpdf.org

